default:
  image: rust:latest

stages:
  - build
  - test

build-job:
  stage: build
  script:
    - echo "Compiling the code..."
    - cargo build
    - echo "Compile complete."

unit-test-job:
  stage: test
  script:
    - echo "Running unit tests..."
    - cargo test

lint-test-job:
  only:
    - merge_requests
  stage: test
  script:
    - echo "Linting code..."
    - cargo clippy